Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MetaMethodIndex.Entry

- org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.Entry

-     public static class MetaMethodIndex.Entry
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `CacheEntry` | `cachedMethod` |
    `Class` | `cls` |
    `int` | `hash` |
    `Object` | `methods` |
    `String` | `name` |
    `Map.Entry` | `nextHashEntry` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public CacheEntry cachedMethod

    - #### public Class cls

    - #### public int hash

    - #### public Object methods

    - #### public String name

    - #### public Map.Entry nextHashEntry

  - ### Method Detail

    - #### @Override
      public String toString()